<%-- 
	motd.jsp
    This is the message of the day template. Admin adds message of the day if he wants.
 --%>
 
<%@ taglib prefix="change" uri="http://www.telelogic.com/change" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri = "http://java.sun.com/jsp/jstl/functions"%>

<div style="text-align: center;"> 
<%-- this div is a work-around to get Internet Explorer to center the following div (it ignore auto margins) --%>
	<div class="message-of-the-day" style="background-color: #fff9b0;">
		<p style="padding-left: 5px;">
			<b><change:resource key="motdTitle"/></b>
		</p>
		
		<c:set var="userMessage">
			<change:wsletExpander>
			<!-- WSLET CODE=PTInclude -->
			<!-- PARAM NAME=motd.js -->
			<!-- /WSLET -->
			</change:wsletExpander>
		</c:set>
		
		<c:set var="motdType">
			<change:wsletExpander>
			<!-- WSLET CODE=PTLoadData -->
			<!-- PARAM NAME=MESSAGE_OF_THE_DAY VALUE=MOTD_TYPE -->
			<!-- /WSLET -->
			</change:wsletExpander>
		</c:set>
		
		<c:if test="${(param.isLoginPage == 'true') && (motdType == 'text')}">
			<%-- fn:replace() does not treat "\n" as valid character, use scriptlet as a workaround. --%>
			<% pageContext.setAttribute("linefeed", "\n"); %>
							
			<c:set var="showUserMessage" value="${fn:replace(userMessage, '<', '&lt;')}"/>
			<c:set var="showUserMessage" value="${fn:replace(showUserMessage, '>', '&gt;')}"/>
			<c:set var="showUserMessage" value="${fn:replace(showUserMessage, linefeed, '<br>')}"/>
			<c:set var="showUserMessage" value="${fn:replace(showUserMessage, ' ', '&nbsp;')}"/>
			
			<div id="userMessage" style="margin: 12px 0; padding-left: 5px;	background-color: #fff9b0; font-size: 12px;">${showUserMessage}</div>
		</c:if>
		
		<c:if test="${(param.isLoginPage != 'true') || motdType != 'text'}">
			<div id="userMessage" style="margin: 12px 0; padding-left: 5px;	background-color: #fff9b0; font-size: 12px;">${userMessage}</div>
		</c:if>
		
		<textarea id="userMessageHidden" style="display: none;" >${userMessage}</textarea>
	</div>
</div>
