<!-- forms\admin_framework\admin_cr_sync_main.jsp -->
<%@ taglib prefix="change" uri="http://www.telelogic.com/change" %>

<html>
	<head>
		<style type="text/css">

		<change:wsletExpander>
			<!-- WSLET CODE=PTInclude -->
			<!-- PARAM NAME=styles/default.css -->
			<!-- PARAM NAME=styles/tabs.css -->
			<!-- /WSLET -->
		</change:wsletExpander>

		</style>
	
		<script type="text/javascript">
	
			function tab_onclick(a)
			{
				if (a.disabled)
				{
					return;
				}
				
				var li = a.parentNode;
				var siblings = li.parentNode.getElementsByTagName("li");
			
				for (var i = 0; i < siblings.length; i++)
				{
					var sibling = siblings[i];
			
					if (sibling == li)
					{
						sibling.getElementsByTagName("a")[0].className = "current";
						displayCorrectIFrame(i);
					}
					else
					{
						sibling.getElementsByTagName("a")[0].className = "";
					}
				}
			}
		
			// Display the iframe that needs to be displayed and hide the others.
			// 0 = Status
			// 1 = Configure
			function displayCorrectIFrame(selectedIndex)
			{
				if (selectedIndex == 0)
				{
					document.getElementById("statusFrame").style.display = "";
					document.getElementById("configureFrame").style.display = "none";
				}
				else if (selectedIndex == 1)
				{
					loadConfigureFrame();
					document.getElementById("configureFrame").style.display = "";
					document.getElementById("statusFrame").style.display = "none";
				}
			}
		
			function loadStatusFrame()
			{
				tab_onclick(document.getElementById("statusTab"));
				window.document.CRSyncForm.target ="statusFrame";
				window.document.CRSyncForm.formName.value = "crSyncStatus";
				window.document.CRSyncForm.methodToCall.value = "loadStatus";
				window.document.CRSyncForm.submit();	
			}
			
			function loadConfigureFrame()
			{
				window.document.CRSyncForm.target ="configureFrame";
				window.document.CRSyncForm.formName.value = "adminCRSyncAttributes";
				window.document.CRSyncForm.methodToCall.value = "configureAttributes";
				window.document.CRSyncForm.submit();
			}
			
			function initialize()
			{
				loadStatusFrame();
			}
	
		</script>
	</head>

	<body onload="initialize()">
	
		<div id="tabs">
			<ul id="tabsList" class="tabbedList" style="padding-top: 15px;">
				<li><a id="statusTab" href="#" onclick="tab_onclick(this);" class="current"><change:resource key="lbl00106"/></a></li>
				<li><a id="configureTab" href="#" onclick="tab_onclick(this);"><change:resource key="ghostCRAttributes"/></a></li>
			</ul>
		</div>
	
		<iframe src="<change:urlCreator webResource='JS'/>dojo/dojo/resources/blank.html" name="statusFrame" id="statusFrame" frameborder="0" style="width: 100%; height: 85%; padding: 0px; margin: 0px;"></iframe>
		<iframe src="<change:urlCreator webResource='JS'/>dojo/dojo/resources/blank.html" name="configureFrame" id="configureFrame" frameborder="0" style="width: 100%; height: 85%; padding: 0px; margin: 0px; display: none"></iframe>
		
		<form name="CRSyncForm" action="<change:urlCreator webResource='BASEURL'/>/adminCRSyncLoader.do" class="hiddenForm" method="POST">
			<input name="token" type="hidden" value="${user.token}">
			<input name="formName" type="hidden" value="NO_ACTION">
			<input name="methodToCall" type="hidden" value="NO_ACTION">
		</form>
	
	</body>
</html>
