function Shim(){}

Shim.shim = function(target)
{
	// must show to read size and position
	dojo.style(target, {display: "block"});
	
	if (!document.all) return;

	var shim = document.createElement('iframe');
	
	// clear any old shim to prevent leaving them around
	Shim.removeShim(target);

	shim.src = "<!-- WSLET CODE=PTAdmin --><!-- PARAM NAME=SERVLET_PATH VALUE=JS_PATH --><!-- /WSLET -->dojo/dojo/resources/blank.html";
	shim.style.position = 'absolute';
	shim.style.zIndex = 1;

	shim.style.width = target.offsetWidth;
	shim.style.height = target.offsetHeight;
	
	var pos = dojo.coords(target);
	 
	shim.style.top = pos.y + 2 + 'px';
	shim.style.left = pos.x  + 2 + 'px';

	target._Shim_shim = shim;
	target.parentNode.appendChild(shim);
};

Shim.removeShim = function(target)
{
	if (target._Shim_shim != null)
	{
		target.parentNode.removeChild(
			target._Shim_shim);
		target._Shim_shim = null;
	}	
};